Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002920 [JEDI VCL] 00 JVCL Components minor always 2005-04-28 22:08 2005-08-28 09:52
Reporter edbored View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002920: JvDualListDialog List Index Out Of Bounds
Description Simple projrct, drop component on form, perform a jvDualListDialog.list1.loadFromFile('somefile'). Then JvDualListDialog.Execute;

When Dialog appears, click on the "empty" list - generates a List Index Out Of Bounds (0) exception.
Additional Information Note also that when list is longer than can be displayed, the vertical scrollbar does not appear (JvDualListForm.SrcList and DstList.ScrollBar defaults to ssNone.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007094)
outchy (administrator)
2005-05-02 02:28

This was a bug of TJvListBox, the DragIndex was set to 0 even if the items were empty (Items.Count = 0).
Thanks for reporting this bug.
(0007095)
outchy (administrator)
2005-05-02 02:29

I modified JvListBox.pas in the CVS repository.
(0007881)
obones (administrator)
2005-08-28 09:52

This is considered to be resolved then.

- Issue History
Date Modified Username Field Change
2005-04-28 22:08 edbored New Issue
2005-05-02 02:28 outchy Note Added: 0007094
2005-05-02 02:29 outchy Note Added: 0007095
2005-05-02 02:29 outchy Status new => feedback
2005-08-28 09:52 obones Status feedback => resolved
2005-08-28 09:52 obones Resolution open => fixed
2005-08-28 09:52 obones Assigned To => obones
2005-08-28 09:52 obones Note Added: 0007881


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker